# Class Utils

java.lang.Object
org.apache.tomcat.buildutil.Utils

public class Utils extends Object
Utility class for build operations.

## Method Summary

Modifier and Type
Method
Description
`static void`
`insertLicense(Writer w)`
Writes the Apache License header to the given writer.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### insertLicense

public static void insertLicense(Writer w) throws IOException
Writes the Apache License header to the given writer.

Parameters:
  `w` - The writer to write the license to
Throws:
  `IOException` - If an I/O error occurs